---
import Layout from "../layouts/Layout.astro";
---

<Layout title="e-commerce ai test">
    <div class="py-20 mt-10 bg-zinc-100">
        <div class="max-w-6xl mx-auto px-4 sm:px-6 lg:px-8">
            <div class="flex flex-col md:flex-row -mx-4">
                <div class="md:flex-1 px-4">
                    <div class="h-[460px] rounded-lg mb-4 bg-white">
                        <img
                            class="w-full h-full object-contain hidden"
                            id="prodimg"
                            alt="Product Image"
                        />
                    </div>
                </div>
                <div class="md:flex-1 px-4">
                    <h2 class="text-2xl font-bold mb-2" id="prodname"></h2>

                    <div class="mb-4">
                        <span class="font-bold text-gray-700">Price:</span>
                        <span class="text-purple-600" id="prodprice"></span>
                    </div>

                    <div class="mb-4">
                        <span class="font-bold text-gray-700"
                            >Availability:</span
                        >
                        <span class="text-gray-600"> In Stock ✅</span>
                    </div>

                    <div class="mb-4">
                        <span class="font-bold text-gray-700"
                            >Product Description:</span
                        >
                        <p class="text-gray-600 text-sm mt-2" id="proddesc"></p>
                    </div>

                    <div class="mb-4">
                        <button
                            class="px-3 bg-purple-700 rounded-full border border-white py-2 text-zinc-100 hover:bg-purple-800 hover:text-white" onclick="alert('Ya es demasiado para un desarrollo de un solo dia 😅')"
                        >
                            Agregar al Carrito
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</Layout>

<script is:inline type="module">
    var $ = $ || window.$;

    const urlsearchparams = window.location.search.split("?item=")[1];
    const url = `https://api.retailrocket.net/api/1.0/partner/5d6d3c5297a5252454eafb7b/items/?itemsIds=${urlsearchparams}&stock=uy&format=json&isDebug=false`;

    fetch(url)
        .then((response) => response.json())
        .then((data) => {
            $("#prodname").text(data[0].Name);
            $("#prodimg").attr("src", data[0].PictureUrl).show();
            $("#proddesc").html(data[0].Description + "...");
            $("#prodprice").text(" USD " + data[0].Price);
        });
</script>
